Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80299 - SRPMS: install failed due to missing BUGS file
Summary: SRPMS: install failed due to missing BUGS file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netatalk
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Charlie Bennett
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-24 08:59 UTC by Sysoltsev Slawa
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-05 21:26:50 UTC


Attachments (Terms of Use)
Patch for .spec which removes BUGS from %doc list (deleted)
2002-12-24 09:00 UTC, Sysoltsev Slawa
no flags Details | Diff

Description Sysoltsev Slawa 2002-12-24 08:59:46 UTC
Description of problem:
Trying to build & install netatalk from sources I've got the error:

Executing(%doc): /bin/sh -
e /netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/tmp/rpm-tmp.69571
+ umask 022
+ cd /netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/BUILD
+ cd netatalk-1.5.3.1
+ DOCDIR=/netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/tmp/netatalk-
root/usr/share/doc/netatalk-1.5.3.1
+ export DOCDIR
+ rm -rf /netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/tmp/netatalk-
root/usr/share/doc/netatalk-1.5.3.1
+ /bin/mkdir -p /netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/tmp/netatalk-
root/usr/share/doc/netatalk-1.5.3.1
+ cp -pr BUGS CHANGES COPYRIGHT ChangeLog README TODO VERSION 
NEWS /netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/tmp/netatalk-roo
t/usr/share/doc/netatalk-1.5.3.1
cp: cannot stat `BUGS': No such file or directory
error: Bad exit status 
from /netbatch/TC11690/rh80_ia32_J/default/WORK_DIR/tmp/rpm-tmp.69571 (%doc)

I haven't found BUGS file in package - seems you've missed it during packaging.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -bb netatalk.spec

    
Actual results:
Installation error

Expected results:
Succesfully built & installed package

Additional info:
I'll attach the patch for .spec which removes the need for BUGS file.

Comment 1 Sysoltsev Slawa 2002-12-24 09:00:40 UTC
Created attachment 88878 [details]
Patch for .spec which removes BUGS from %doc list

Comment 2 Charlie Bennett 2004-04-05 21:26:50 UTC
As of FC 1 this bug is no longer present


Note You need to log in before you can comment on or make changes to this bug.